org.eclipse.emf.cdo.spi.common.revision

## Interface InternalCDORevisionManager.RevisionLoader

- All Known Subinterfaces:
    CDOSessionProtocol, InternalCDORevisionManager.RevisionLoader2, InternalFailoverParticipant, InternalRepository, InternalSynchronizableRepository
  Enclosing interface:
    InternalCDORevisionManager

      public static interface InternalCDORevisionManager.RevisionLoader

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleRevisions(EClass eClass, CDOBranch branch, boolean exactBranch, long timeStamp, boolean exactTime, CDORevisionHandler handler)`
    `InternalCDORevision` | `loadRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int referenceChunk)`
    `java.util.List<RevisionInfo>` | `loadRevisions(java.util.List<RevisionInfo> infos, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth)`

- - ### Method Detail

    - #### loadRevisions

          java.util.List<RevisionInfo> loadRevisions(java.util.List<RevisionInfo> infos,
                                                     CDOBranchPoint branchPoint,
                                                     int referenceChunk,
                                                     int prefetchDepth)

    - #### loadRevisionByVersion

          InternalCDORevision loadRevisionByVersion(CDOID id,
                                                    CDOBranchVersion branchVersion,
                                                    int referenceChunk)

    - #### handleRevisions

          void handleRevisions(EClass eClass,
                               CDOBranch branch,
                               boolean exactBranch,
                               long timeStamp,
                               boolean exactTime,
                               CDORevisionHandler handler)

      Since:
        4.3

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html